"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.GetDeviceCaptureTemporaryFilename = GetDeviceCaptureTemporaryFilename;
const GetCaptureTemporaryDirectory_1 = require("./GetCaptureTemporaryDirectory");
const node_path_1 = __importDefault(require("node:path"));
/**
 * Get device capture temporary filename
 * @param device
 * @param tmpDir
 * @constructor
 */
function GetDeviceCaptureTemporaryFilename(device, tmpDir) {
    const cacheDir = (0, GetCaptureTemporaryDirectory_1.GetCaptureTemporaryDirectory)(tmpDir);
    return node_path_1.default.resolve(cacheDir, `${Buffer.from(device).toString('hex')}.pcap`);
}
